# ACCOUNT POLICY

Config path: `/account_policy.yaml`

Example:

```yaml
authentication_policy: my_db.my_schema.my_auth_policy
network_policy: my_network_policy
```

## Schema

* **authentication\_policy** (ident) - assign [AUTHENTICATION POLICY](/basic/yaml-configs/authentication-policy.md) to ACCOUNT
* **network\_policy** (ident) - assign [NETWORK POLICY](/basic/yaml-configs/network-policy.md) to ACCOUNT

## Usage notes

1. It is highly recommended to apply ACCOUNT-level policies manually. SnowDDL will only suggest SQL by default. If you want to apply ACCOUNT-level policies automatically, please use `--apply-account-policy` CLI option. Additional privileges for SnowDDL admin user might be required.
2. ACCOUNT-level policies are ignored when SnowDDL runs with [env\_prefix](/guides/other-guides/env-prefix.md).

## Links

* [ALTER ACCOUNT SET](https://docs.snowflake.com/en/sql-reference/sql/alter-account.html)
* [Parser & JSON Schema (GitHub)](https://github.com/littleK0i/SnowDDL/blob/master/snowddl/parser/account_policy.py)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.snowddl.com/basic/yaml-configs/account-policy.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
